package com.example.as_trak;

import android.os.Bundle;
import android.util.Log;

import androidx.databinding.DataBindingUtil;
import androidx.fragment.app.FragmentTransaction;

import com.example.as_trak.base.BaseActivity;
import com.example.as_trak.databinding.ActivityUnLoadBinding;
import com.example.as_trak.fragment.LuggageFragment;

public class UnLoadActivity extends BaseActivity {

    private LuggageFragment luggageFragment;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityUnLoadBinding binding = DataBindingUtil.setContentView(this, R.layout.activity_un_load);
        luggageFragment = new LuggageFragment();
        Bundle bundle = new Bundle();
        bundle.putString("data", "true");
        luggageFragment.setArguments(bundle);
        FragmentTransaction transaction = getSupportFragmentManager().beginTransaction();
        transaction.replace(R.id.un_load_frame, luggageFragment);
        transaction.commit();
        initScan();
    }

    @Override
    public void sanCodeResult(String code) {
        super.sanCodeResult(code);
        Log.e("TAG", "传值:" + code);
        luggageFragment.sanCode(code);
    }
    @Override
    protected void onDestroy() {
        super.onDestroy();
        if (myReceiver!=null) unregisterReceiver(myReceiver);
    }


}