package com.example.as_trak.toast;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.app.Application;
import android.content.Context;
import android.media.MediaPlayer;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;

import com.example.as_trak.R;

public class LoadToast extends Toast {
    private MediaPlayer music;
    private TextView textView;
    @SuppressLint("MissingInflatedId")
    public LoadToast(Context context) {
        super(context);
        music = MediaPlayer.create(context, R.raw.error);
        // toast = new Toast(context);
        View view = LayoutInflater.from(context).inflate(R.layout.toast_load, null, false);
        textView=view.findViewById(R.id.toast_msg);
        setView(view);
        // toast.setView(view);
        setDuration(Toast.LENGTH_SHORT);
        setGravity(Gravity.CENTER, 0, 200);
    }


    public void show(String text) {
        super.show();
        music.start();
        textView.setText(text);
    }
}
