package com.example.as_trak.dialog;

import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.view.LayoutInflater;

import androidx.annotation.NonNull;
import androidx.databinding.DataBindingUtil;
import androidx.databinding.ViewDataBinding;

import com.example.as_trak.R;
import com.example.as_trak.databinding.DialogEditBinding;

public class EditDialog extends Dialog {
    private String info;
    private EditDialogCall call;
    private   DialogEditBinding binding;
    public void setCall(EditDialogCall call) {
        this.call = call;
    }

    private String type;

    public void setType(String type) {
        this.type = type;
    }

    public EditDialog(@NonNull Context context) {
        super(context, R.style.dialog_style);
        binding = DataBindingUtil.inflate(LayoutInflater.from(context), R.layout.dialog_edit, null, false);
        setContentView(binding.getRoot());
        binding.editFalse.setOnClickListener(v -> dismiss());
        binding.editTrue.setOnClickListener(v -> call.saveInfo(binding.editInfo.getText().toString(),binding.editInfo2.getText().toString()));
    }
    public interface EditDialogCall{
        void saveInfo(String info,String checkCode);
    }

    @Override
    public void show() {
        super.show();
        binding.setType(type);
        binding.editInfo.setText(null);
    }
}
