package com.example.as_trak.entity;

import org.litepal.crud.LitePalSupport;

public class LoadOperation extends LitePalSupport {
    private int id;
    /**
     * 航班号
     */
    private String flightCode;
    private int flightId;
    /**
     * 目的地代码
     */
    private String destination;
    /**
     * 起飞时间
     */
    private String takeoffTime;
    /**
     * 货箱号
     */
    private String cargoCode;
    private int cargoId;
    /**
     * 顺序
     */
    private int orderNum;
    /**
     * 行李编码
     */
    private String luggageCode;
    /**
     * 旧的行李编码
     */
    private String oldLuggageCode;
    /**
     * 操作人
     */
    private String user;
    /**
     * 装载时间
     */
    private String loadTime;
    private String unLoadTime;
    /**
     * 操作类型：正常，拉下
     */
    private String  type;
    /**
     * 删除，修改
     */
    private String  state;

    private int updateCargoTag=0;

    public int getUpdateCargoTag() {
        return updateCargoTag;
    }

    public void setUpdateCargoTag(int updateCargoTag) {
        this.updateCargoTag = updateCargoTag;
    }

    private boolean bg =false;

    public boolean isBg() {
        return bg;
    }

    public void setBg(boolean bg) {
        this.bg = bg;
    }

    public String getUnLoadTime() {
        return unLoadTime;
    }

    public void setUnLoadTime(String unLoadTime) {
        this.unLoadTime = unLoadTime;
    }

    public int getCargoId() {
        return cargoId;
    }

    public void setCargoId(int cargoId) {
        this.cargoId = cargoId;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getFlightCode() {
        return flightCode;
    }

    public void setFlightCode(String flightCode) {
        this.flightCode = flightCode;
    }

    public int getFlightId() {
        return flightId;
    }

    public void setFlightId(int flightId) {
        this.flightId = flightId;
    }

    public String getDestination() {
        return destination;
    }

    public void setDestination(String destination) {
        this.destination = destination;
    }

    public String getTakeoffTime() {
        return takeoffTime;
    }

    public void setTakeoffTime(String takeoffTime) {
        this.takeoffTime = takeoffTime;
    }

    public String getCargoCode() {
        return cargoCode;
    }

    public void setCargoCode(String cargoCode) {
        this.cargoCode = cargoCode;
    }

    public int getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(int orderNum) {
        this.orderNum = orderNum;
    }

    public String getLuggageCode() {
        return luggageCode;
    }

    public void setLuggageCode(String luggageCode) {
        this.luggageCode = luggageCode;
    }

    public String getOldLuggageCode() {
        return oldLuggageCode;
    }

    public void setOldLuggageCode(String oldLuggageCode) {
        this.oldLuggageCode = oldLuggageCode;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getLoadTime() {
        return loadTime;
    }

    public void setLoadTime(String loadTime) {
        this.loadTime = loadTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    @Override
    public String toString() {
        return "LoadOperation{" +
                "order="+orderNum+
                "id=" + id +
                ", flightCode='" + flightCode + '\'' +
                ", flightId=" + flightId +
                ", cargoCode='" + cargoCode + '\'' +
                ", luggageCode='" + luggageCode + '\'' +
                ", type='" + type + '\'' +
                ", state='" + state + '\'' +
                ", cargoId='" + cargoId + '\'' +
                '}';
    }
}
